List Vehicles
curl --request GET \
--url https://api.volteras.com/v1/vehicles \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.volteras.com/v1/vehicles"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.volteras.com/v1/vehicles', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"results": [
{
"make": "<string>",
"vin": "<string>",
"id": "<string>",
"metadata": {
"lastSeenAt": "2023-11-07T05:31:56Z",
"consentId": "<string>",
"accountId": "<string>",
"registrationDate": "2023-12-25"
},
"model": "<string>",
"trim": "<string>",
"modelYear": "<string>",
"registrationPlate": "<string>",
"isRegNoValidated": true,
"regNoValidatedAt": "2023-11-07T05:31:56Z",
"isListening": true,
"listeningLastUpdated": "2023-11-07T05:31:56Z",
"connectionStatus": "<string>",
"connectionErrorCode": "<string>",
"connectionErrorMessage": "<string>",
"actionCategory": "<string>",
"investigationState": "UNDER_REVIEW",
"investigationSubState": "NEEDED",
"investigationTitle": "<string>",
"investigationMessage": "<string>",
"investigationUpdatedAt": "2023-11-07T05:31:56Z"
}
],
"nextPageToken": "<string>",
"totalResults": 123
}Vehicles
List Vehicles
Retrieve a paginated list of vehicles associated with your organization.
The endpoint lists vehicles based on the following criteria:
- Includes only vehicles that have enabled synchronization during the account connection process.
- Excludes disconnected vehicles or those not included in the OEM account.
Returns:
- A paginated response containing a list of vehicles.
Note:
- This endpoint provides a summary of each vehicle’s basic details. For comprehensive vehicle data, please refer to the individual vehicle detail endpoints.
Find details on list filter syntax in our documentation here.
Possible Codes in Error Response (see Errors for error response schema and meaning of codes):
- AUTHENTICATION_ERROR
- PAGE_SIZE_TOO_LARGE
- PAGINATED_QUERY_FILTER_CHANGED
- REQUEST_VALIDATION_ERROR
- SERVER_ERROR
GET
/
v1
/
vehicles
List Vehicles
Authorizations
The access token received from the authorization server in the OAuth 2.0 flow.
Query Parameters
Max size of the returned list.
Page token used for pagination.
Listing filter schema.

